[arch-commits] Commit in gnome-utils/repos (3 files)

Eric Belanger eric at archlinux.org
Fri Oct 17 01:39:30 EDT 2008


    Date: Friday, October 17, 2008 @ 01:39:30
  Author: eric
Revision: 15683

Merged revisions 15650,15682 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnome-utils/trunk

........
  r15650 | jgc | 2008-10-16 13:31:58 -0400 (Thu, 16 Oct 2008) | 2 lines
  
  upgpkg: gnome-utils 2.24.0-2
      Add patch again. It was not fixed upstream yet (FS#8904)
........
  r15682 | eric | 2008-10-17 01:38:58 -0400 (Fri, 17 Oct 2008) | 2 lines
  
  upgpkg: gnome-utils 2.24.0-2
      added intltool makedepends
........

Added:
  gnome-utils/repos/testing-x86_64/bgo497489.patch
    (from rev 15682, gnome-utils/trunk/bgo497489.patch)
Modified:
  gnome-utils/repos/testing-x86_64/	(properties)
  gnome-utils/repos/testing-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |   10 ++++++----
 bgo497489.patch |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+), 4 deletions(-)


Property changes on: gnome-utils/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnome-utils/trunk:1-15263
   + /gnome-utils/trunk:1-15682

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-10-17 05:38:58 UTC (rev 15682)
+++ testing-x86_64/PKGBUILD	2008-10-17 05:39:30 UTC (rev 15683)
@@ -3,21 +3,23 @@
 
 pkgname=gnome-utils
 pkgver=2.24.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Common utilities for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 depends=('libgtop>=2.24.0' 'gnome-panel>=2.24.0')
-makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig' 'intltool')
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
 groups=('gnome-extra')
 install=gnome-utils.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('61b145af70c5a61d27037119a31429e5')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2
+	bgo497489.patch)
+md5sums=('61b145af70c5a61d27037119a31429e5' '22922b4c54438b8808d5b942459da1db')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/bgo497489.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/gnome-utils \
               --localstatedir=/var --disable-static \

Copied: gnome-utils/repos/testing-x86_64/bgo497489.patch (from rev 15682, gnome-utils/trunk/bgo497489.patch)
===================================================================
--- testing-x86_64/bgo497489.patch	                        (rev 0)
+++ testing-x86_64/bgo497489.patch	2008-10-17 05:39:30 UTC (rev 15683)
@@ -0,0 +1,54 @@
+diff -up gnome-utils-2.20.0.1/logview/log_repaint.c.versions gnome-utils-2.20.0.1/logview/log_repaint.c
+--- gnome-utils-2.20.0.1/logview/log_repaint.c.versions	2007-11-16 13:29:00.000000000 -0500
++++ gnome-utils-2.20.0.1/logview/log_repaint.c	2007-11-16 13:29:43.000000000 -0500
+@@ -226,6 +226,8 @@ logview_update_version_bar (LogviewWindo
+ 		else
+ 			recent = log;
+ 			
++		g_signal_handler_block (logview->version_selector, logview->version_changed_id);
++
+ 		for (i=5; i>-1; i--)
+ 			gtk_combo_box_remove_text (GTK_COMBO_BOX (logview->version_selector), i);
+ 
+@@ -241,6 +243,8 @@ logview_update_version_bar (LogviewWindo
+ 		gtk_combo_box_set_active (GTK_COMBO_BOX (logview->version_selector), 
+                                           log->current_version);
+ 
++		g_signal_handler_unblock (logview->version_selector, logview->version_changed_id);
++
+ 	} else {
+ 		gtk_widget_hide (logview->version_bar);
+ 	}
+diff -up gnome-utils-2.20.0.1/logview/logview.h.versions gnome-utils-2.20.0.1/logview/logview.h
+--- gnome-utils-2.20.0.1/logview/logview.h.versions	2007-11-16 13:27:55.000000000 -0500
++++ gnome-utils-2.20.0.1/logview/logview.h	2007-11-16 13:28:05.000000000 -0500
+@@ -55,6 +55,7 @@ struct _LogviewWindow {
+ 	Log *curlog;
+ 
+ 	int original_fontsize, fontsize;
++	gulong version_changed_id;
+ };
+ 
+ struct _LogviewWindowClass {
+diff -up gnome-utils-2.20.0.1/logview/logview.c.versions gnome-utils-2.20.0.1/logview/logview.c
+--- gnome-utils-2.20.0.1/logview/logview.c.versions	2007-11-16 13:28:13.000000000 -0500
++++ gnome-utils-2.20.0.1/logview/logview.c	2007-11-16 13:28:52.000000000 -0500
+@@ -432,6 +432,9 @@ logview_version_selector_changed (GtkCom
+ 
+     g_assert (LOGVIEW_IS_WINDOW (logview));
+ 
++	if (!log)
++		return;
++
+ 	selected = gtk_combo_box_get_active (version_selector);
+ 
+ 	if (selected == log->current_version)
+@@ -903,7 +906,7 @@ logview_init (LogviewWindow *logview)
+    logview->version_bar = gtk_hbox_new (FALSE, 0);
+    gtk_container_set_border_width (GTK_CONTAINER (logview->version_bar), 3);
+    logview->version_selector = gtk_combo_box_new_text ();
+-   g_signal_connect (G_OBJECT (logview->version_selector), "changed",
++   logview->version_changed_id = g_signal_connect (G_OBJECT (logview->version_selector), "changed",
+                      G_CALLBACK (logview_version_selector_changed), logview);
+    label = gtk_label_new (_("Version: "));
+    




More information about the arch-commits mailing list